#include <bits/stdc++.h>
using namespace std;
set <char> svaslova (int k, int br)
{
    set <char> rez;
        if (br==0 && br<k-1)
        {
            rez.insert('a');
             br++;
        }
        if (br==1 && br<k-1)
        {
            rez.insert('b');
            br++;
        }
        if (br==2 && br<k-1)
        {
            rez.insert('c');
             br++;
        }
        if (br==3 && br<k-1)
        {
            rez.insert('d');
             br++;
        }
        if (br==4 && br<k-1)
        {
            rez.insert('e');
             br++;
        }
        if (br==5 && br<k-1)
        {
            rez.insert('f');
             br++;
        }
        if (br==6 && br<k-1)
        {
            rez.insert('g');
             br++;
        }
        if (br==7 && br<k-1)
        {
            rez.insert('h');
             br++;
        }
        if (br==8 && br<k-1)
        {
            rez.insert('i');
             br++;
        }
        if (br==9 && br<k-1)
        {
            rez.insert('j');
             br++;
        }
        if (br==10 && br<k-1)
        {
            rez.insert('k');
             br++;
        }
        if (br==11 && br<k-1)
        {
            rez.insert('l');
             br++;
        }
        if (br==12 && br<k-1)
        {
            rez.insert('m');
             br++;
        }
        if (br==13 && br<k-1)
        {
            rez.insert('n');
             br++;
        }
        if (br==14 && br<k-1)
        {
            rez.insert('o');
             br++;
        }
        if (br==15 && br<k-1)
        {
            rez.insert('p');
             br++;
        }
        if (br==16 && br<k-1)
        {
            rez.insert('q');
             br++;
        }
        if (br==17 && br<k-1)
        {
            rez.insert('r');
             br++;
        }
        if (br==18 && br<k-1)
        {
            rez.insert('s');
             br++;
        }
        if (br==19 && br<k-1)
        {
            rez.insert('t');
             br++;
        }
        if (br==20 && br<k-1)
        {
            rez.insert('u');
             br++;
        }
        if (br==21 && br<k-1)
        {
            rez.insert('v');
             br++;
        }
        if (br==22 && br<k-1)
        {
            rez.insert('w');
             br++;
        }
        if (br==23 && br<k-1)
        {
            rez.insert('x');
             br++;
        }
        if (br==24 && br<k-1)
        {
            rez.insert('y');
             br++;
        }
        if (br==25 && br<k-1)
        {
            rez.insert('z');
             br++;
        }
        return rez;
}
bool dali (string s1, set <char> &abc)
{
    set <char> rez1=abc;
    for (int i=0; i<s1.size(); i++)
    {
        rez1.erase(s1[i]);
    }
    if (rez1.size()>0)
    {
        return true;
    }
    return false;
}
int main()
{
    int n, k;
    cin>>n>>k;
    string s;
    cin>>s;
    set <char> abc=svaslova(k, 0);
    if (k==1) cout<<2<<" ";
    else cout<<1<<" ";
    for (int i=1; i<n; i++)
    {
        string s1=s.substr(0, i+1);
        if (dali(s1, abc)) cout<<1<<" ";
        else
        {
            cout<<2<<" ";
        }
    }
    return 0;
}